﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceManager.Facade.ManagementPacks;
using System.Text;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;

namespace System.ServiceManager.Facade
{
    public static class ManagmentPackObjectFactory
    {
        public static EnterpriseManagementObject GetSingletonObject(ManagementPackClass managementPackClass)
        {
            return SCSMServer.GetSingletonObject( managementPackClass);
            
        }

        public static EnterpriseManagementObject GetSingletonObject(string className,string managementPackId)
        {
            var thisManagementPack = ManagementPackFactory.GetManagementPack(managementPackId);
            var managementPackClass = ManagementPackClassFactory.GetClass(className, thisManagementPack);
       
            return SCSMServer.GetSingletonObject(managementPackClass);

        }

    }
}
