﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceManager.Facade.EnterpriseManagementClasses;
using System.Text;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;

namespace System.ServiceManager.Facade
{
    public static class SCSMCommonClasses
    {

        public static ManagementPackClass UserCommentLog
        {

            get { return System_WorkItem_TroubleTicket_UserCommentLogInfo.GetManagementPackClass(); }
        }

        public static ManagementPackClass AnalystCommentLog
        {

            get { return System_WorkItem_TroubleTicket_AnalystCommentLogInfo.GetManagementPackClass(); }
        }

        public static ManagementPackClass FileAttachment
        {

            get { return System_FileAttachmentInfo.GetManagementPackClass(); }
        }

        public static ManagementPackClass Incident
        {

            get { return System_WorkItem_IncidentInfo.GetManagementPackClass(); }
        }

        public static ManagementPackClass Problem
        {
            
            get { return System_WorkItem_ProblemInfo.GetManagementPackClass(); }
        }

        public static ManagementPackClass ChangeReqest
        {
            
            get { return System_WorkItem_ChangeRequestInfo.GetManagementPackClass(); }
        }

        public static ManagementPackClass ManualActivity
        {

            get { return System_WorkItem_Activity_ManualActivityInfo.GetManagementPackClass(); }
        }

        public static ManagementPackClass ReviewActivity
        {

            get { return System_WorkItem_Activity_ReviewActivityInfo.GetManagementPackClass(); }
        }
          
    }
}
