﻿using System.Collections.Generic;
using System.Xml.Linq; 
using System;
namespace Savviety.ServiceManager.Facade.Criteria
{
	public partial class CriteriaBuilder
	{           
        protected XElement GetReferenceElement(string managementPackName, string alias)
		{
			switch(managementPackName)
			{
		case "Microsoft.SystemCenter.Internal":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Internal"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.Reporting.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.Reporting.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.Report.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Report.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.LinkingFramework.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.LinkingFramework.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.ApplicationLog.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.ApplicationLog.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.IncidentManagement.Library.Datawarehouse":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.IncidentManagement.Library.Datawarehouse"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.UI.Console":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.UI.Console"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ActivityManagement.Library.Datawarehouse":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ActivityManagement.Library.Datawarehouse"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ChangeManagement.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ChangeManagement.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.IncidentManagement.Report.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.IncidentManagement.Report.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ChangeManagement.Report.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ChangeManagement.Report.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.WorkItem.Problem.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.WorkItem.Problem.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.Notifications.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.Notifications.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ConfigurationManagement.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ConfigurationManagement.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.WorkItem.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.WorkItem.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.KnowledgeManagement.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.KnowledgeManagement.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.KnowledgeManagement.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.KnowledgeManagement.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.Snmp.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.Snmp.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ServiceMaps.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ServiceMaps.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.Deployment.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Deployment.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.SoftwareDeployment.Configurations":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.SoftwareDeployment.Configurations"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.InboundEmail.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.InboundEmail.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.Orchestration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Orchestration"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ProblemManagement.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ProblemManagement.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.UI.Console.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.UI.Console.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.UI.Authoring":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.UI.Authoring"), new XAttribute("Version", "7.0.6555.128"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ProblemManagement.Report.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ProblemManagement.Report.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.ServiceDesigner.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.ServiceDesigner.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ChangeManagement.Library.Datawarehouse":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ChangeManagement.Library.Datawarehouse"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.Connector.AD":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.Connector.AD"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.Knowledge.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.Knowledge.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.IncidentManagement.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.IncidentManagement.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.Hardware.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.Hardware.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.Windows.Peripheral.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.Windows.Peripheral.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.Windows.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.Windows.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.Authoring.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Authoring.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.PolicyItem.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.PolicyItem.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.ConfigurationManager":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.ConfigurationManager"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.MonitoringHostKeepAlive.Workflows":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.MonitoringHostKeepAlive.Workflows"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.Connector.Sms":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.Connector.Sms"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.Core.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.Core.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.Performance.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.Performance.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ServiceMaps.Configuration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ServiceMaps.Configuration"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "System.WorkItem.ChangeRequest.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.WorkItem.ChangeRequest.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ConfigurationManagement.Configuration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ConfigurationManagement.Configuration"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.Datawarehouse.Base":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Datawarehouse.Base"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.Grooming.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Grooming.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ChangeManagement.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ChangeManagement.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.SupportingItem.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.SupportingItem.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.Datawarehouse.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.Datawarehouse.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.Default":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.Default"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.Datawarehouse.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.Datawarehouse.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ConfigurationManagement.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ConfigurationManagement.Library"), new XAttribute("Version", "7.0.6555.128"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ActivityManagement.Report.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ActivityManagement.Report.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.Connector.OpsMgr"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.IncidentManagement.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.IncidentManagement.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.ServiceManager.Portal":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.ServiceManager.Portal"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.WorkItemGroup.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.WorkItemGroup.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ActivityManagement.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ActivityManagement.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.InstanceGroup.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.InstanceGroup.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.Authoring.Forms":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.Authoring.Forms"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ChangeManagement.Configuration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ChangeManagement.Configuration"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.Common.Report.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.Common.Report.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.AdminItem.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.AdminItem.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ProblemManagement.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ProblemManagement.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.Orchestration.Configuration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Orchestration.Configuration"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "System.WorkItem.Activity.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.WorkItem.Activity.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ActivityManagement.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ActivityManagement.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ProblemManagement.Library.Datawarehouse":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ProblemManagement.Library.Datawarehouse"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.WorkflowFoundation.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.WorkflowFoundation.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.UI.Authoring.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.UI.Authoring.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.UI.Administration.Help":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.UI.Administration.Help"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.Software.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.Software.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.WorkItem.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.WorkItem.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.Grooming.Configuration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.Grooming.Configuration"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ProblemManagement.Configuration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ProblemManagement.Configuration"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ConfigurationManagement.Report.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ConfigurationManagement.Report.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.WorkItem.Incident.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.WorkItem.Incident.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.KnowledgeManagement.Configuration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.KnowledgeManagement.Configuration"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.ActivityManagement.Configuration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.ActivityManagement.Configuration"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.AdministrativeOverrides":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.AdministrativeOverrides"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.Subscriptions":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Subscriptions"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.EnterpriseManagement.ServiceManager.UI.Administration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.EnterpriseManagement.ServiceManager.UI.Administration"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "ServiceManager.IncidentManagement.Configuration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "ServiceManager.IncidentManagement.Configuration"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.ConfigurationManager.Datawarehouse":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.ConfigurationManager.Datawarehouse"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "System.Health.Library":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "System.Health.Library"), new XAttribute("Version", "7.0.6555.0"), new XAttribute("PublicKeyToken", "31bf3856ad364e35"), new XAttribute("Alias", alias));				 
				}
		case "Microsoft.SystemCenter.Announcements.Configuration":
				{
					return new XElement(NameSpace + "Reference", new XAttribute("Id", "Microsoft.SystemCenter.Announcements.Configuration"), new XAttribute("Version", "7.0.6555.0"), null, new XAttribute("Alias", alias));				 
				}
		 
		}

		 throw new ArgumentException("Unknown Managment Pack");

		}
	 
	}
}

  