﻿using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.Facade;
using Savviety.ServiceManager.Facade.Criteria;
using Savviety.ServiceManager.Facade.EnterpriseManagementClasses;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 namespace Savviety.ServiceManager.Facade.Enums
{ 
    public static class ServiceManagerChangeManagementLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("2bf6413b-bb6c-1108-d33a-152c9d1db56b"));
    	public static class ChangeManagementCreateTask
		{				
       }
    }    public static class ServiceManagerDataWarehouseLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("d75ca502-6194-3e79-e908-87fc09713b73"));
    	public static class ServiceManagerDatawarehouseLibraryEnumerationMPSyncJobTask
		{				
       }
        	public static class ServiceManagerDatawarehouseLibraryEnumerationJobTask
		{				
       }
    }    public static class ServiceManagerLinkingFrameworkLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("72f46b77-512a-91b5-efd8-0c7f84ebda98"));
    	public static class FilterUsageEnum
		{				
// Enum 412f0328-91cb-e566-ec01-00b7cf48806c DisplayName was null or empty
// Enum 57c47163-006f-fd6c-6662-0ed5924d2952 DisplayName was null or empty
// Enum 54793264-ecbd-5d3e-29d4-a1cf2cb8bb6e DisplayName was null or empty
       }
        	public static class SyncTypeEnum
		{				
// Enum 371d7b27-d05c-4970-2c7e-65dcace03bb0 DisplayName was null or empty
// Enum c83e453f-fb56-d3b3-407e-72441086c07b DisplayName was null or empty
// Enum a940b4e2-8edd-f165-fcf5-8def8e368dd2 DisplayName was null or empty
// Enum 128071e2-2f6c-9a5a-7108-c5ddd56bd049 DisplayName was null or empty
// Enum f28327f0-f92c-9d40-c46d-db347acdc559 DisplayName was null or empty
// Enum 8d6639e4-1fa4-b7ed-b889-f13995ac6cf3 DisplayName was null or empty
       }
        	public static class MicrosoftSystemCenterLinkingFrameworkSyncStatusEnum
		{				
			public static ManagementPackEnumeration Running
			{
				get { return mp.GetEnumeration("Microsoft.SystemCenter.LinkingFramework.SyncStatusEnum.Running"); }
			}
		
			public static ManagementPackEnumeration Unknown
			{
				get { return mp.GetEnumeration("Microsoft.SystemCenter.LinkingFramework.SyncStatusEnum.Unknown"); }
			}
		
			public static ManagementPackEnumeration FinishedWithError
			{
				get { return mp.GetEnumeration("Microsoft.SystemCenter.LinkingFramework.SyncStatusEnum.FinishedWithError"); }
			}
		
			public static ManagementPackEnumeration RunningWithError
			{
				get { return mp.GetEnumeration("Microsoft.SystemCenter.LinkingFramework.SyncStatusEnum.RunningWithError"); }
			}
		
			public static ManagementPackEnumeration NeverRun
			{
				get { return mp.GetEnumeration("Microsoft.SystemCenter.LinkingFramework.SyncStatusEnum.NeverRun"); }
			}
		
			public static ManagementPackEnumeration FinishedSuccess
			{
				get { return mp.GetEnumeration("Microsoft.SystemCenter.LinkingFramework.SyncStatusEnum.FinishedSuccess"); }
			}
		
       }
    }    public static class SystemAdministrationItemLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("a87c22c5-8fd4-4252-86e8-b246ab404465"));
    	public static class SystemAnnouncementPriorityEnum
		{				
			public static ManagementPackEnumeration Low
			{
				get { return mp.GetEnumeration("System.Announcement.PriorityEnum.Low"); }
			}
		
			public static ManagementPackEnumeration Critical
			{
				get { return mp.GetEnumeration("System.Announcement.PriorityEnum.Critical"); }
			}
		
			public static ManagementPackEnumeration Medium
			{
				get { return mp.GetEnumeration("System.Announcement.PriorityEnum.Medium"); }
			}
		
       }
        	public static class GroomingCategory
		{				
			public static ManagementPackEnumeration ChangeLog
			{
				get { return mp.GetEnumeration("GroomingCategory.ChangeLog"); }
			}
		
			public static ManagementPackEnumeration Entity
			{
				get { return mp.GetEnumeration("GroomingCategory.Entity"); }
			}
		
			public static ManagementPackEnumeration DataWarehouseStaging
			{
				get { return mp.GetEnumeration("GroomingCategory.DWStaging"); }
			}
		
			public static ManagementPackEnumeration SubscriptionLog
			{
				get { return mp.GetEnumeration("GroomingCategory.SubscriptionLog"); }
			}
		
			public static ManagementPackEnumeration Fact
			{
				get { return mp.GetEnumeration("GroomingCategory.Fact"); }
			}
		
       }
    }    public static class SystemKnowledgeLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("0a8001ed-59dc-629c-201f-4643a6a48009"));
    	public static class SystemKnowledgeCategoryEnum
		{				
       }
        	public static class SystemKnowledgeArticleTypeEnum
		{				
       }
        	public static class SystemKnowledgeStatusEnum
		{				
			public static ManagementPackEnumeration Published
			{
				get { return mp.GetEnumeration("System.Knowledge.StatusEnum.Published"); }
			}
		
			public static ManagementPackEnumeration Draft
			{
				get { return mp.GetEnumeration("System.Knowledge.StatusEnum.Draft"); }
			}
		
			public static ManagementPackEnumeration Archived
			{
				get { return mp.GetEnumeration("System.Knowledge.StatusEnum.Archived"); }
			}
		
       }
        	public static class SystemKnowledgeTagEnum
		{				
       }
    }    public static class SystemLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("01c8b236-3bce-9dba-6f1c-c119bcdc2972"));
    	public static class VisibleToUser
		{				
       }
        	public static class SystemServiceManagementServiceClassification
		{				
       }
        	public static class SearchEnabled
		{				
       }
        	public static class SystemConfigItemObjectStatusEnum
		{				
			public static ManagementPackEnumeration Active
			{
				get { return mp.GetEnumeration("System.ConfigItem.ObjectStatusEnum.Active"); }
			}
		
			public static ManagementPackEnumeration Deleted
			{
				get { return mp.GetEnumeration("System.ConfigItem.ObjectStatusEnum.Deleted"); }
			}
		
			public static ManagementPackEnumeration PendingDelete
			{
				get { return mp.GetEnumeration("System.ConfigItem.ObjectStatusEnum.PendingDelete"); }
			}
		
       }
        	public static class SystemServiceManagementServicePriority
		{				
       }
        	public static class SystemServiceManagementServiceStatus
		{				
       }
        	public static class SystemInternalManagementPack
		{				
			public static ManagementPackEnumeration Images
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.Images"); }
			}
		
			public static ManagementPackEnumeration StatusIcon
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.Images.StatusIcon"); }
			}
	
			public static ManagementPackEnumeration DiagramIcon
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.Images.DiagramIcon"); }
			}
	
			public static ManagementPackEnumeration BmpIcon
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.Images.BmpIcon"); }
			}
	
			public static ManagementPackEnumeration BackgroundImage
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.Images.BackgroundImage"); }
			}
	
			public static ManagementPackEnumeration u16x16Icon
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.Images.u16x16Icon"); }
			}
	
			public static ManagementPackEnumeration u32x32Icon
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.Images.u32x32Icon"); }
			}
	
			public static ManagementPackEnumeration ConsoleTasks
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.ConsoleTasks"); }
			}
		
			public static ManagementPackEnumeration Alert
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.ConsoleTasks.Alert"); }
			}
	
			public static ManagementPackEnumeration Event
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.ConsoleTasks.Event"); }
			}
	
			public static ManagementPackEnumeration MonitoringObject
			{
				get { return mp.GetEnumeration("System.Internal.ManagementPack.ConsoleTasks.MonitoringObject"); }
			}
	
       }
        	public static class MicrosoftSystemCenterNotVisibleToUser
		{				
       }
        	public static class SystemConfigItemAssetStatusEnum
		{				
			public static ManagementPackEnumeration Retired
			{
				get { return mp.GetEnumeration("System.ConfigItem.AssetStatusEnum.Retired"); }
			}
		
			public static ManagementPackEnumeration Undefined
			{
				get { return mp.GetEnumeration("System.ConfigItem.AssetStatusEnum.Undefined"); }
			}
		
			public static ManagementPackEnumeration Purchased
			{
				get { return mp.GetEnumeration("System.ConfigItem.AssetStatusEnum.Purchased"); }
			}
		
			public static ManagementPackEnumeration Disposed
			{
				get { return mp.GetEnumeration("System.ConfigItem.AssetStatusEnum.Disposed"); }
			}
		
			public static ManagementPackEnumeration Deployed
			{
				get { return mp.GetEnumeration("System.ConfigItem.AssetStatusEnum.Deployed"); }
			}
		
			public static ManagementPackEnumeration PurchaseRequested
			{
				get { return mp.GetEnumeration("System.ConfigItem.AssetStatusEnum.PurchaseRequested"); }
			}
		
			public static ManagementPackEnumeration DeploymentRequested
			{
				get { return mp.GetEnumeration("System.ConfigItem.AssetStatusEnum.DeploymentRequested"); }
			}
		
       }
    }    public static class SystemSoftwareLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("09873caf-e2e2-20d0-c997-cd99c3a31ffd"));
    	public static class InstallStatus
		{				
			public static ManagementPackEnumeration Missing
			{
				get { return mp.GetEnumeration("InstallStatus.Missing"); }
			}
		
			public static ManagementPackEnumeration Unknown
			{
				get { return mp.GetEnumeration("InstallStatus.Unknown"); }
			}
		
			public static ManagementPackEnumeration Installed
			{
				get { return mp.GetEnumeration("InstallStatus.Installed"); }
			}
		
       }
    }    public static class SystemWorkItemActivityLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("aa265d90-3e2e-b9a2-d929-be0d36f1a53e"));
    	public static class DecisionEnum
		{				
			public static ManagementPackEnumeration NotYetVoted
			{
				get { return mp.GetEnumeration("DecisionEnum.NotYetVoted"); }
			}
		
			public static ManagementPackEnumeration Approved
			{
				get { return mp.GetEnumeration("DecisionEnum.Approved"); }
			}
		
			public static ManagementPackEnumeration Rejected
			{
				get { return mp.GetEnumeration("DecisionEnum.Rejected"); }
			}
		
       }
        	public static class ActivityStageEnum
		{				
       }
        	public static class ApprovalEnum
		{				
			public static ManagementPackEnumeration Automatic
			{
				get { return mp.GetEnumeration("ApprovalEnum.Automatic"); }
			}
		
			public static ManagementPackEnumeration Percentage
			{
				get { return mp.GetEnumeration("ApprovalEnum.Percentage"); }
			}
		
			public static ManagementPackEnumeration Unanimous
			{
				get { return mp.GetEnumeration("ApprovalEnum.Unanimous"); }
			}
		
       }
        	public static class ActivityPriorityEnum
		{				
       }
        	public static class ActivityAreaEnum
		{				
       }
        	public static class ActivityStatusEnum
		{				
			public static ManagementPackEnumeration Completed
			{
				get { return mp.GetEnumeration("ActivityStatusEnum.Completed"); }
			}
		
			public static ManagementPackEnumeration Canceled
			{
				get { return mp.GetEnumeration("ActivityStatusEnum.Cancelled"); }
			}
		
			public static ManagementPackEnumeration InProgress
			{
				get { return mp.GetEnumeration("ActivityStatusEnum.Active"); }
			}
		
			public static ManagementPackEnumeration OnHold
			{
				get { return mp.GetEnumeration("ActivityStatusEnum.OnHold"); }
			}
		
			public static ManagementPackEnumeration Failed
			{
				get { return mp.GetEnumeration("ActivityStatusEnum.Failed"); }
			}
		
			public static ManagementPackEnumeration Rerun
			{
				get { return mp.GetEnumeration("ActivityStatusEnum.Rerun"); }
			}
		
			public static ManagementPackEnumeration Pending
			{
				get { return mp.GetEnumeration("ActivityStatusEnum.Ready"); }
			}
		
       }
    }    public static class SystemWorkItemChangeRequestLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("6c2bb84d-3c1f-4006-c551-6ef50179e2e3"));
    	public static class ChangeCategoryEnum
		{				
       }
        	public static class ChangeRiskEnum
		{				
       }
        	public static class ChangeImplementationResultsEnum
		{				
       }
        	public static class ChangePriorityEnum
		{				
       }
        	public static class ChangeStatusEnum
		{				
			public static ManagementPackEnumeration New
			{
				get { return mp.GetEnumeration("ChangeStatusEnum.New"); }
			}
		
			public static ManagementPackEnumeration Failed
			{
				get { return mp.GetEnumeration("ChangeStatusEnum.Failed"); }
			}
		
			public static ManagementPackEnumeration Closed
			{
				get { return mp.GetEnumeration("ChangeStatusEnum.Closed"); }
			}
		
			public static ManagementPackEnumeration InProgress
			{
				get { return mp.GetEnumeration("ChangeStatusEnum.InProgress"); }
			}
		
			public static ManagementPackEnumeration OnHold
			{
				get { return mp.GetEnumeration("ChangeStatusEnum.OnHold"); }
			}
		
			public static ManagementPackEnumeration Canceled
			{
				get { return mp.GetEnumeration("ChangeStatusEnum.Cancelled"); }
			}
		
			public static ManagementPackEnumeration Submitted
			{
				get { return mp.GetEnumeration("ChangeStatusEnum.Submitted"); }
			}
		
			public static ManagementPackEnumeration Completed
			{
				get { return mp.GetEnumeration("ChangeStatusEnum.Completed"); }
			}
		
       }
        	public static class ChangeImpactEnum
		{				
       }
        	public static class ChangeAreaEnum
		{				
       }
    }    public static class IncidentManagementLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("dd26c521-7c2d-58c0-0980-dac2dacb0900"));
    	public static class IncidentResolutionCategoryEnum
		{				
       }
        	public static class IncidentTierQueuesEnum
		{				
       }
        	public static class IncidentStatusEnum
		{				
			public static ManagementPackEnumeration Active
			{
				get { return mp.GetEnumeration("IncidentStatusEnum.Active"); }
			}
		
			public static ManagementPackEnumeration Pending
			{
				get { return mp.GetEnumeration("IncidentStatusEnum.Active.Pending"); }
			}
	
			public static ManagementPackEnumeration Closed
			{
				get { return mp.GetEnumeration("IncidentStatusEnum.Closed"); }
			}
		
			public static ManagementPackEnumeration Resolved
			{
				get { return mp.GetEnumeration("IncidentStatusEnum.Resolved"); }
			}
		
       }
        	public static class IncidentSourceEnum
		{				
			public static ManagementPackEnumeration Portal
			{
				get { return mp.GetEnumeration("IncidentSourceEnum.Portal"); }
			}
		
			public static ManagementPackEnumeration Console
			{
				get { return mp.GetEnumeration("IncidentSourceEnum.Console"); }
			}
		
			public static ManagementPackEnumeration Phone
			{
				get { return mp.GetEnumeration("IncidentSourceEnum.Phone"); }
			}
		
			public static ManagementPackEnumeration ConfigurationManagerDCM
			{
				get { return mp.GetEnumeration("IncidentSourceEnum.DCM"); }
			}
		
			public static ManagementPackEnumeration OperationsManager
			{
				get { return mp.GetEnumeration("IncidentSourceEnum.SCOM"); }
			}
		
			public static ManagementPackEnumeration System
			{
				get { return mp.GetEnumeration("IncidentSourceEnum.System"); }
			}
		
			public static ManagementPackEnumeration EMail
			{
				get { return mp.GetEnumeration("IncidentSourceEnum.Email"); }
			}
		
       }
        	public static class IncidentClassificationEnum
		{				
       }
    }    public static class SystemWorkItemLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("405d5590-b45f-1c97-024f-24338290453e"));
    	public static class SystemWorkItemTroubleTicketImpactEnum
		{				
			public static ManagementPackEnumeration High
			{
				get { return mp.GetEnumeration("System.WorkItem.TroubleTicket.ImpactEnum.High"); }
			}
		
			public static ManagementPackEnumeration Medium
			{
				get { return mp.GetEnumeration("System.WorkItem.TroubleTicket.ImpactEnum.Medium"); }
			}
		
			public static ManagementPackEnumeration Low
			{
				get { return mp.GetEnumeration("System.WorkItem.TroubleTicket.ImpactEnum.Low"); }
			}
		
       }
        	public static class SystemWorkItemActionLogEnum
		{				
			public static ManagementPackEnumeration AttachedFile
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.FileAttached"); }
			}
		
			public static ManagementPackEnumeration RecordDispatched
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.RecordDispatched"); }
			}
		
			public static ManagementPackEnumeration RecordActivated
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.RecordReopened"); }
			}
		
			public static ManagementPackEnumeration RecordOpened
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.RecordOpened"); }
			}
		
			public static ManagementPackEnumeration EMailSent
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.EmailSent"); }
			}
		
			public static ManagementPackEnumeration TemplateApplied
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.TemplateApplied"); }
			}
		
			public static ManagementPackEnumeration RecordEscalated
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.RecordEscalated"); }
			}
		
			public static ManagementPackEnumeration AttachedFileDeleted
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.FileDeleted"); }
			}
		
			public static ManagementPackEnumeration SurveyCompleted
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.SurveyCompleted"); }
			}
		
			public static ManagementPackEnumeration RecordAssigned
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.RecordAssigned"); }
			}
		
			public static ManagementPackEnumeration RecordResolved
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.RecordResolved"); }
			}
		
			public static ManagementPackEnumeration IncidentClosed
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.RecordClosed"); }
			}
		
			public static ManagementPackEnumeration TaskRun
			{
				get { return mp.GetEnumeration("System.WorkItem.ActionLogEnum.TaskExecuted"); }
			}
		
       }
        	public static class SystemWorkItemTroubleTicketUrgencyEnum
		{				
			public static ManagementPackEnumeration Low
			{
				get { return mp.GetEnumeration("System.WorkItem.TroubleTicket.UrgencyEnum.Low"); }
			}
		
			public static ManagementPackEnumeration Medium
			{
				get { return mp.GetEnumeration("System.WorkItem.TroubleTicket.UrgencyEnum.Medium"); }
			}
		
			public static ManagementPackEnumeration High
			{
				get { return mp.GetEnumeration("System.WorkItem.TroubleTicket.UrgencyEnum.High"); }
			}
		
       }
    }    public static class SystemWorkItemProblemLibraryEnums
	{		
		private static ManagementPack mp = SCSMServer.GetManagementPack(new Guid("d93ec150-3906-5404-ee41-1aefaa35518e"));
    	public static class ProblemClassificationEnum
		{				
       }
        	public static class ProblemSourceEnum
		{				
       }
        	public static class ProblemResolutionEnum
		{				
       }
        	public static class ProblemStatusEnum
		{				
			public static ManagementPackEnumeration Active
			{
				get { return mp.GetEnumeration("ProblemStatusEnum.Active"); }
			}
		
			public static ManagementPackEnumeration Resolved
			{
				get { return mp.GetEnumeration("ProblemStatusEnum.Resolved"); }
			}
		
			public static ManagementPackEnumeration Closed
			{
				get { return mp.GetEnumeration("ProblemStatusEnum.Closed"); }
			}
		
       }
    }
}