﻿/****************************** Module Header ******************************\

Copyright (c) Gary Davidson

This source is subject to the Microsoft Public License.
See http://www.microsoft.com/opensource/licenses.mspx#Ms-PL.
All other rights reserved.

THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
\***************************************************************************/
using Microsoft.EnterpriseManagement.Configuration;
using Savviety.ServiceManager.Facade.EnterpriseManagementClasses;

namespace Savviety.ServiceManager.Facade
{
    public static class SCSMCommonClasses
    {

        public static ManagementPackClass UserCommentLog
        {

            get { return System_WorkItem_TroubleTicket_UserCommentLogClass.GetManagementPackClass(); }
        }

        public static ManagementPackClass AnalystCommentLog
        {

            get { return System_WorkItem_TroubleTicket_AnalystCommentLogClass.GetManagementPackClass(); }
        }

        public static ManagementPackClass FileAttachment
        {

            get { return System_FileAttachmentClass.GetManagementPackClass(); }
        }

        public static ManagementPackClass Incident
        {

            get { return System_WorkItem_IncidentClass.GetManagementPackClass(); }
        }

        public static ManagementPackClass Problem
        {

            get { return System_WorkItem_ProblemClass.GetManagementPackClass(); }
        }

        public static ManagementPackClass ChangeReqest
        {

            get { return System_WorkItem_ChangeRequestClass.GetManagementPackClass(); }
        }

        public static ManagementPackClass ManualActivity
        {

            get { return System_WorkItem_Activity_ManualActivityClass.GetManagementPackClass(); }
        }

        public static ManagementPackClass ReviewActivity
        {

            get { return System_WorkItem_Activity_ReviewActivityClass.GetManagementPackClass(); }
        }
          
    }
}
