﻿/****************************** Module Header ******************************\

Copyright (c) Gary Davidson

This source is subject to the Microsoft Public License.
See http://www.microsoft.com/opensource/licenses.mspx#Ms-PL.
All other rights reserved.

THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
\***************************************************************************/
using System.Xml.Linq;

namespace Savviety.ServiceManager.Facade.Criteria
{
    public abstract class CriteriaElement
    {
        protected XNamespace Namespace { get; private set; }
        
        protected CriteriaElement(XNamespace ns)
        {
            Namespace = ns;
        }

        internal abstract XElement ToXElement();

    }
}